> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a Connect

Retrieves a Connect record for an Entity.

## Path Parameters

## Query Parameters

{(() => {
const { name, type, description, enums } = ConnectExpandQueryParam();
return (
  <ParamList
    items={[
      { name, type, description, enums },
    ]}
  />
);
})()}

## Returns

Returns a Connect object.

```bash cURL theme={null}
curl https://production.methodfi.com/entities/ent_qKNBB68bfHGNA/connect/cxn_4ewMmBbjYDMR4 \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
```

```javascript Node.js theme={null}
const entity = await method
  .entities("ent_qKNBB68bfHGNA")
  .connect
  .retrieve("cxn_4ewMmBbjYDMR4");
```

```python Python theme={null}
entity = method
  .entities('ent_qKNBB68bfHGNA')
  .connect
  .retrieve('cxn_4ewMmBbjYDMR4')
```

```json theme={null}
{
  "id": "cxn_4ewMmBbjYDMR4",
  "entity_id": "ent_qKNBB68bfHGNA",
  "status": "completed",
  "accounts": [
    "acc_eKKmrXDpJBKgw",
    "acc_GV8WbmJW7KGRy",
    "acc_MLPKh9gQDDbT8",
    "acc_LbXE8wVYJLrKt",
    "acc_J3P9fayDFjpAy",
    "acc_eFFRV9zmpLREK"
  ],
  "requested_products": [],
  "requested_subscriptions": [],
  "files": [],
  "error": null,
  "created_at": "2024-04-12T14:56:46.645Z",
  "updated_at": "2024-04-12T14:56:46.645Z"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.